# DAG configuration
name: sparrow_zenvia_surveys_dag
nickname: sparrow_zenvia_surveys
interval: '@daily'
owner: airflow
# migração para o MWAA
start_date: 2022-11-23
catchup: true
# start_date: 2021-01-01
# catchup: false
retries: 3
retry_delay_minutes: 60
# Notify on Slack
failure_slack_notification: true

tags: ['sparrow', 'zenvia']
# Sparrow configuration
company: zenvia
pagination: true
ids: false
nps_ids: false
sparrow_endpoint: surveys
date_param: false

# Snowflake DB configuration
db_name: RAW
db_schema: ZENVIA_SPARROW
db_table: SURVEYS
